Summary:	Enhanced WHOIS client
Name:		whois
Version:	5.5.17
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/Other
URL:		https://www.linux.it/~md/software/
#Source0:	https://ftp.debian.org/debian/pool/main/w/%%{name}/%%{name}_%%{version}.tar.xz
Source0:	https://github.com/rfc1036/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gettext
BuildRequires:	pkgconfig(libidn2)
BuildRequires:	bash-completion

%description
This is a new whois (RFC 954) client rewritten from scratch.

It is derived from and compatible with the usual BSD and RIPE whois(1)
programs.

It is intelligent and can automatically select the appropriate whois
server for most queries.

%prep
%setup -q
%autopatch -p1

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}" INSTALL="install -p" whois pos

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_mandir}/man1

%make_install BASEDIR=%{buildroot} prefix=%{_prefix}/ mandir=%{_mandir}
%make_install BASEDIR=%{buildroot} prefix=%{_prefix}/ mandir=%{_mandir} -C po

install -m0644 whois.conf %{buildroot}%{_sysconfdir}

%find_lang %{name}

# fix a file conflict with expect (#46500)
mv %{buildroot}%{_bindir}/mkpasswd %{buildroot}%{_bindir}/whois-mkpasswd
mv %{buildroot}%{_mandir}/man1/mkpasswd.1 %{buildroot}%{_mandir}/man1/whois-mkpasswd.1

%files -f %{name}.lang
%doc README
%config(noreplace) %{_sysconfdir}/whois.conf
%{_bindir}/whois
%{_bindir}/whois-mkpasswd
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-mkpasswd.1*
%{_mandir}/man5/%{name}.conf.5*
%{_datadir}/bash-completion/completions/mkpasswd
%{_datadir}/bash-completion/completions/whois


%changelog
* Sun May 07 2023 luigiwalser <luigiwalser> 5.5.17-1.mga9
+ Revision: 1956012
- 5.5.17

* Thu Jan 05 2023 luigiwalser <luigiwalser> 5.5.15-1.mga9
+ Revision: 1930465
- 5.5.15

* Thu Oct 20 2022 ghibo <ghibo> 5.5.14-1.mga9
+ Revision: 1897841
- Update to release 5.5.14

* Mon May 23 2022 luigiwalser <luigiwalser> 5.5.13-1.mga9
+ Revision: 1859957
- 5.5.13

* Fri Mar 18 2022 umeabot <umeabot> 5.5.12-2.mga9
+ Revision: 1797965
- Mageia 9 Mass Rebuild

* Sat Mar 05 2022 luigiwalser <luigiwalser> 5.5.12-1.mga9
+ Revision: 1789126
- 5.5.12
- update source URL

* Sat Jan 15 2022 luigiwalser <luigiwalser> 5.5.11-1.mga9
+ Revision: 1768376
- 5.5.11

* Mon Jun 21 2021 luigiwalser <luigiwalser> 5.5.10-1.mga9
+ Revision: 1731637
- 5.5.10

* Thu Apr 01 2021 daviddavid <daviddavid> 5.5.9-1.mga9
+ Revision: 1712266
- new version: 5.5.9

* Sat Feb 27 2021 luigiwalser <luigiwalser> 5.5.8-1.mga9
+ Revision: 1693009
- 5.5.8

* Wed Oct 14 2020 luigiwalser <luigiwalser> 5.5.7-1.mga8
+ Revision: 1636027
- 5.5.7

* Fri Feb 28 2020 luigiwalser <luigiwalser> 5.5.6-1.mga8
+ Revision: 1551245
- 5.5.6

* Wed Feb 19 2020 umeabot <umeabot> 5.5.5-2.mga8
+ Revision: 1543949
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 daviddavid <daviddavid> 5.5.5-1.mga8
+ Revision: 1482509
- new version: 5.5.5

* Sun Jan 12 2020 luigiwalser <luigiwalser> 5.5.4-1.mga8
+ Revision: 1477700
- 5.5.4

* Mon Nov 18 2019 daviddavid <daviddavid> 5.5.3-1.mga8
+ Revision: 1461630
- new version: 5.5.3

* Fri Oct 11 2019 daviddavid <daviddavid> 5.5.2-1.mga8
+ Revision: 1451371
- new version: 5.5.2
- new version: 5.5.0

* Fri Jul 05 2019 daviddavid <daviddavid> 5.4.3-1.mga8
+ Revision: 1418649
- new version: 5.4.3

* Sat Apr 13 2019 daviddavid <daviddavid> 5.4.2-1.mga7
+ Revision: 1389836
- new version: 5.4.2

* Wed Feb 13 2019 luigiwalser <luigiwalser> 5.4.1-2.mga7
+ Revision: 1366534
- rebuild for libidn2

* Mon Jan 28 2019 daviddavid <daviddavid> 5.4.1-1.mga7
+ Revision: 1361664
- new version: 5.4.1

* Wed Jan 09 2019 wally <wally> 5.4.0-2.mga7
+ Revision: 1353607
- rebuild for new libidn2

* Sun Nov 11 2018 daviddavid <daviddavid> 5.4.0-1.mga7
+ Revision: 1329473
- new version: 5.4.0

* Sun Sep 23 2018 umeabot <umeabot> 5.3.2-2.mga7
+ Revision: 1301664
- Mageia 7 Mass Rebuild

* Tue Jul 17 2018 daviddavid <daviddavid> 5.3.2-1.mga7
+ Revision: 1243920
- new version: 5.3.2

* Fri Jun 08 2018 luigiwalser <luigiwalser> 5.3.1-1.mga7
+ Revision: 1235550
- 5.3.1

* Tue Feb 27 2018 daviddavid <daviddavid> 5.3.0-1.mga7
+ Revision: 1205434
- new version: 5.3.0

* Sat Jan 06 2018 daviddavid <daviddavid> 5.2.20-1.mga7
+ Revision: 1190700
- new version: 5.2.20

* Tue Dec 26 2017 luigiwalser <luigiwalser> 5.2.19-1.mga7
+ Revision: 1185493
- 5.2.19
- update source URL
- switch to libidn2
- 5.2.17

* Sat Jun 17 2017 luigiwalser <luigiwalser> 5.2.16-1.mga6
+ Revision: 1107838
- 5.2.16
- remove upstreamed patch

* Wed Mar 08 2017 luigiwalser <luigiwalser> 5.2.15-1.mga6
+ Revision: 1089784
- 5.2.15
- add patch from fedora to fix querying 6to4 addresses

* Sun Jan 01 2017 luigiwalser <luigiwalser> 5.2.14-1.mga6
+ Revision: 1079001
- 5.2.14

* Fri Nov 04 2016 luigiwalser <luigiwalser> 5.2.13-1.mga6
+ Revision: 1065337
- 5.2.13

* Tue May 10 2016 luigiwalser <luigiwalser> 5.2.12-1.mga6
+ Revision: 1011820
- 5.2.12

* Fri Jan 01 2016 luigiwalser <luigiwalser> 5.2.11-1.mga6
+ Revision: 917616
- 5.2.11

* Tue Nov 17 2015 blino <blino> 5.2.10-1.mga6
+ Revision: 903893
- 5.2.10

* Sat Jul 25 2015 blino <blino> 5.2.9-1.mga6
+ Revision: 857260
- 5.2.9

* Wed Oct 15 2014 umeabot <umeabot> 5.1.5-3.mga5
+ Revision: 746937
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.5-2.mga5
+ Revision: 690306
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 dams <dams> 5.1.5-1.mga5
+ Revision: 662636
- new version 5.1.5

* Wed Jul 02 2014 dams <dams> 5.1.3-1.mga5
+ Revision: 642047
- new version 5.1.3

* Tue Feb 04 2014 dams <dams> 5.1.1-1.mga5
+ Revision: 580742
- new version 5.1.1

* Sat Oct 19 2013 umeabot <umeabot> 5.0.26-2.mga4
+ Revision: 530107
- Mageia 4 Mass Rebuild

* Fri Jul 19 2013 dams <dams> 5.0.26-1.mga4
+ Revision: 456203
- new version 5.0.26

* Thu May 23 2013 dams <dams> 5.0.25-1.mga4
+ Revision: 425061
- update %%files for man5
- new version 5.0.25

* Wed Apr 10 2013 dams <dams> 5.0.23-1.mga3
+ Revision: 409392
- new version 5.0.23

* Fri Apr 05 2013 dams <dams> 5.0.22-1.mga3
+ Revision: 408218
- new version 5.0.22

* Mon Jan 14 2013 umeabot <umeabot> 5.0.20-2.mga3
+ Revision: 385690
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 dams <dams> 5.0.20-1.mga3
+ Revision: 307614
- new version 5.0.20

* Tue Sep 25 2012 dams <dams> 5.0.19-1.mga3
+ Revision: 297593
- new version 5.0.19

* Thu Jul 26 2012 dams <dams> 5.0.18-1.mga3
+ Revision: 274537
- new version 5.0.18

* Sat Jun 30 2012 dams <dams> 5.0.17-1.mga3
+ Revision: 265658
- new version 5.0.17

* Wed May 02 2012 dams <dams> 5.0.16-1.mga2
+ Revision: 234483
- new version 5.0.16

* Wed Jan 04 2012 dams <dams> 5.0.14-1.mga2
+ Revision: 190331
- new version 5.0.14

* Thu Dec 01 2011 dams <dams> 5.0.13-1.mga2
+ Revision: 174836
- new version 5.0.13
- clean specfile

* Tue Nov 15 2011 dams <dams> 5.0.12-1.mga2
+ Revision: 168025
- new version 5.0.12

* Sat Feb 19 2011 wally <wally> 5.0.11-1.mga1
+ Revision: 54366
- new version 5.0.11
- drop old provides/obsoletes
- drop buildroot definition
- imported package whois


* Sun Oct 03 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 5.0.7-1mdv2011.0
+ Revision: 582710
- update to new version 5.0.7

* Sat Jul 31 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 5.0.6-1mdv2011.0
+ Revision: 563976
- update to new version 5.0.6

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 5.0.0-1mdv2010.1
+ Revision: 486788
- update to new version 5.0.0

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 4.7.36-1mdv2010.0
+ Revision: 447874
- update to new version 4.7.36

* Wed Aug 12 2009 Frederik Himpe <fhimpe@mandriva.org> 4.7.35-1mdv2010.0
+ Revision: 415711
- update to new version 4.7.35

* Wed Jun 17 2009 Frederik Himpe <fhimpe@mandriva.org> 4.7.34-1mdv2010.0
+ Revision: 386802
- update to new version 4.7.34

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 4.7.30-2mdv2009.1
+ Revision: 316436
- really package lang files
- fix #46500 (conflict whois vs. expect)

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 4.7.30-1mdv2009.1
+ Revision: 316191
- 4.7.30
- use LDFLAGS from the %%configure macro

* Mon Jun 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.26-1mdv2009.0
+ Revision: 219510
- update to new version 4.7.26

* Thu Feb 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.24-1mdv2008.1
+ Revision: 173758
- new version
- new license policy
- enable support for libidn
- add config file to the file list

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 15 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 4.7.22-1mdv2008.0
+ Revision: 63896
- Updated to version 4.7.22.

* Wed Aug 15 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 4.7.21-2mdv2008.0
+ Revision: 63878
- Reenable IDN support now that our glibc is ok.

* Tue Apr 17 2007 Andreas Hasenack <andreas@mandriva.com> 4.7.21-1mdv2007.1
+ Revision: 13542
- updated to version 4.7.21


* Wed Feb 14 2007 Olivier Blin <oblin@mandriva.com> 4.7.20-2mdv2007.0
+ Revision: 120732
- make it run again by disabling IDN support (#28723)

* Tue Feb 13 2007 Olivier Blin <oblin@mandriva.com> 4.7.20-1mdv2007.1
+ Revision: 120418
- 4.7.20

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 4.7.13-2mdv2007.1
+ Revision: 108710
- Import whois

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 4.7.13-2mdv2007.1
- Rebuild

* Wed Apr 05 2006 Pascal Terjan <pterjan@mandriva.org> 4.7.13-1mdk
- 4.7.13 (handles .eu)
- mkrel

* Thu Oct 06 2005 Pascal Terjan <pterjan@mandriva.org> 4.7.5-1mdk
- 4.7.5

* Tue May 11 2004 Florin <florin@mandrakesoft.com> 4.6.14-1mdk
- 4.6.14
- remove the unused mandir patch

